Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.security.authentication
Interface AuthenticatorMBean

All Superinterfaces:
  AuthenticationProviderMBean, weblogic.descriptor.DescriptorBean, ProviderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, DefaultAuthenticatorMBean, IPlanetAuthenticatorMBean, LDAPAuthenticatorMBean, weblogic.security.providers.authentication.LoginExceptionPropagatorMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean, RealmAdapterAuthenticatorMBean

public interface AuthenticatorMBean
extends AuthenticationProviderMBean

The SSPI MBean that all Authentication providers with login services must extend. This MBean provides a ControlFlag to determine whether the Authentication provider is a REQUIRED, REQUISITE, SUFFICIENT, or OPTIONAL part of the login sequence.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getControlFlag()` Returns how the login sequence uses the Authentication provider.
`void` | `setControlFlag(String flag)` Sets how the login sequence uses the Authentication provider.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getDescription, getName, getRealm, getVersion`

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getControlFlag

    public String getControlFlag()

  Returns how the login sequence uses the Authentication provider.

  A `REQUIRED` value specifies this LoginModule must succeed. Even if it fails, authentication proceeds down the list of LoginModules for the configured Authentication providers. This setting is the default.

  A `REQUISITE` value specifies this LoginModule must succeed. If other Authentication providers are configured and this LoginModule succeeds, authentication proceeds down the list of LoginModules. Otherwise, control is return to the application.

  A `SUFFICIENT` value specifies this LoginModule need not succeed. If it does succeed, return control to the application. If it fails and other Authentication providers are configured, authentication proceeds down the LoginModule list.

  An `OPTIONAL` value specifies this LoginModule need not succeed. Whether it succeeds or fails, authentication proceeds down the LoginModule list.

  Default value:
    "REQUIRED"
  Legal values:
    "REQUIRED", "REQUISITE", "SUFFICIENT", "OPTIONAL"
  A dynamic MBean attribute.
    false

### setControlFlag

    public void setControlFlag(String flag)
                        throws InvalidAttributeValueException

  Sets how the login sequence uses the Authentication provider.

  A `REQUIRED` value specifies this LoginModule must succeed. Even if it fails, authentication proceeds down the list of LoginModules for the configured Authentication providers. This setting is the default.

  A `REQUISITE` value specifies this LoginModule must succeed. If other Authentication providers are configured and this LoginModule succeeds, authentication proceeds down the list of LoginModules. Otherwise, control is return to the application.

  A `SUFFICIENT` value specifies this LoginModule need not succeed. If it does succeed, return control to the application. If it fails and other Authentication providers are configured, authentication proceeds down the LoginModule list.

  An `OPTIONAL` value specifies this LoginModule need not succeed. Whether it succeeds or fails, authentication proceeds down the LoginModule list.

  Parameters:
    `flag` - - the new control flag value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getControlFlag()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD